org.eclipse.ecf.provider.zookeeper.util

## Class Geo

- java.lang.Object
- - org.eclipse.ecf.provider.zookeeper.util.Geo

    public class Geo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Geo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getHost()`
`static URI` `getLocation()`
`static String` `getNodeHost()`
`static boolean` `isLocal(String path)`
`static boolean` `isOwnPublication(String childPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Geo

    public Geo()

### Method Detail

#### isLocal

    public static boolean isLocal(String path)

Parameters:
  `path` - to be checked whether it's comes form local ZooKeeper server.
Returns:
  `true` if local, `false` otherwise.

#### isOwnPublication

    public static boolean isOwnPublication(String childPath)

Parameters:
  `childPath` - Child path to check whether is published by this very ZooDiscovery instance.
Returns:
  true if published by this container, false otherwise.

#### getLocation

    public static URI getLocation()

#### getHost

    public static String getHost()

#### getNodeHost

    public static String getNodeHost()